package cn.iocoder.yudao.module.system.service.restaurant;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.restaurant.vo.DishesPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.restaurant.DishesDO;

import java.util.List;

/**
 * 餐厅菜品 Service 接口
 *
 * @author 系统管理员
 */
public interface DishesService {


    void createDishes(DishesDO createReqVO);

    void updateDishes(DishesDO updateReqVO);

    void deleteDishes(Long[] ids);

    DishesDO getDishes(Long id);

    PageResult<DishesDO> getDishesPage(DishesPageReqVO pageReqVO);

    List<DishesDO> getDishesList(String foodName, Long restaurantId);
}